using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Player : MonoBehaviour
{

    private int score;

    public enum Status { normal, malus, bonus}
    public Status _CurrentStatus { get; set; }

	void Start ()
    {
		
	}
	
	void Update ()
    {
		
	}

    public void addScore()
    {
        this.score++;
        Debug.Log("PUNTEGGIO: "+this.score);
    }

    internal void UpdateStatus(Food.FoodHealth foodHealthProperty)
    {
        switch (foodHealthProperty)
        {
            case Food.FoodHealth.bad:
                transform.GetChild(0).GetComponent<PointOfEffectController>().SetMalus();
                break;
            case Food.FoodHealth.gold:
                transform.GetChild(0).GetComponent<PointOfEffectController>().SetSuperGrip();
                break;
        }
    }

    public int getScore()
    {
        return this.score;
    }
}
